import ComponentsFormsSelectBasic from '@/components/forms/select2/components-forms-select-basic';
import ComponentsFormsSelectDisablingOptions from '@/components/forms/select2/components-forms-select-disabling-options';
import ComponentsFormsSelectMultiselect from '@/components/forms/select2/components-forms-select-multiselect';
import ComponentsFormsSelectNested from '@/components/forms/select2/components-forms-select-nested';
import ComponentsFormsSelectPlaceholder from '@/components/forms/select2/components-forms-select-placeholder';
import ComponentsFormsSelectSearchable from '@/components/forms/select2/components-forms-select-searchable';
import { Metadata } from 'next';
import Link from 'next/link';
import React from 'react';

export const metadata: Metadata = {
    title: 'Select2',
};

export default function(){
    return (
        <div>
            <ul className="flex space-x-2 rtl:space-x-reverse">
                <li>
                    <Link href="#" className="text-primary hover:underline">
                        فرم ها
                    </Link>
                </li>
                <li className="before:content-['/'] ltr:before:mr-2 rtl:before:ml-2">
                    <span>Select2</span>
                </li>
            </ul>
            <div className="space-y-8 pt-5">
                <div className="custom-select grid grid-cols-1 gap-6 lg:grid-cols-2">
                    {/* Basic */}
                    <ComponentsFormsSelectBasic />
                    {/*  Nested */}
                    <ComponentsFormsSelectNested />
                    {/* Disabling options */}
                    <ComponentsFormsSelectDisablingOptions />
                    {/* Searchable */}
                    <ComponentsFormsSelectSearchable />
                    {/*  Placeholder */}
                    <ComponentsFormsSelectPlaceholder />
                    {/* Multiple */}
                    <ComponentsFormsSelectMultiselect />
                </div>
            </div>
        </div>
    );
}
